SystemOrganization addCategory: #ConfigurationOfMagritte3AddOns!

Object subclass: #ConfigurationOfMagritte3AddOns
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfMagritte3AddOns'!

!ConfigurationOfMagritte3AddOns class methodsFor: 'private' stamp: 'NickAger 2/1/2012 17:21'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfMagritte3AddOns class methodsFor: 'private' stamp: 'NickAger 2/1/2012 17:21'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfMagritte3AddOns class methodsFor: 'metacello tool support' stamp: 'NickAger 2/1/2012 17:21'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMagritte3AddOns class methodsFor: 'loading' stamp: 'NickAger 2/1/2012 18:39'!
load
	"self load"
	
	self project stableVersion load! !

!ConfigurationOfMagritte3AddOns class methodsFor: 'accessing' stamp: 'NickAger 2/1/2012 17:21'!
project

	^self new project! !

!ConfigurationOfMagritte3AddOns methodsFor: 'baselines' stamp: 'NickAger 2/3/2012 17:17'!
baseline300: spec 
	<version: '3.0.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '10/09/10 13:41:00'.
		spec 
			repository: 'http://source.lukas-renggli.ch/magritte3addons'.
		spec
			project: 'Magritte' with: [
				spec
					className: 'ConfigurationOfMagritte3';
					loads: #('Core');
					versionString: #stable;
					file: 'ConfigurationOfMagritte3';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.

		spec
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/XMLSupport' ];
			yourself.
		spec
			package: 'Magritte-XMLBinding' with: [ 
				spec requires: #( 'Magritte' 'XML Parser') ];
			package: 'Magritte-Json' with: [ 
				spec requires: #( 'Magritte' );
				yourself ];
			package: 'Magritte-Tests-Json' with: [ 
				spec requires: #( 'Magritte-Json' );
				yourself ];
			package: 'Magritte-Tests-XMLBinding' with: [ 
				spec requires: #( 'Magritte-XMLBinding' );
				yourself ];
			yourself.
		].
	spec for: #squeakCommon do: [
	].
	spec for: #gemstone do: [
	].! !

!ConfigurationOfMagritte3AddOns methodsFor: 'symbolic versions' stamp: 'NickAger 2/1/2012 18:40'!
development: spec 
	"no development versions at the moment"
	
	<symbolicVersion: #development>! !

!ConfigurationOfMagritte3AddOns methodsFor: 'accessing' stamp: 'NickAger 2/1/2012 17:21'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfMagritte3AddOns methodsFor: 'symbolic versions' stamp: 'NickAger 2/1/2012 18:39'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version: '3.0.0'. ! !

!ConfigurationOfMagritte3AddOns methodsFor: 'versions' stamp: 'NickAger 2/3/2012 16:46'!
version300: spec
	<version: '3.0.0' imports: #('3.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'initial port of add-ons to Magritte 3'.
		spec author: 'NickAger'.
		spec timestamp: '01/02/12 17:41'.
		
		spec 
			package: 'Magritte-XMLBinding' with: 'Magritte-XMLBinding-NickAger.79';
			package: 'Magritte-Json' with: 'Magritte-Json-NickAger.15';
			package: 'Magritte-Tests-XMLBinding' with: 'Magritte-Tests-XMLBinding-NickAger.1';
			package: 'Magritte-Tests-Json' with: 'Magritte-Tests-Json-NickAger.2' ].
		
	spec for: #'squeakCommon' do: [
	].
	spec for: #'gemstone' do: [
	].! !
